Page MenuHomePhabricator

(5) Move page actions (icons & page-issues) styling to stable
Closed, ResolvedPublic5 Estimated Story Points

Description

  • Icons moved to right
  • Page issues restyled
  • Update browser tests
  • Careful with the cached HTMLs, apply JS fixes.

Trello tasks:
https://trello.com/c/26TidjN6/11-3-page-styling-to-beta
https://trello.com/c/DHDvgwf8/146-new-page-styling-minus-lead-images-to-stable

Event Timeline

KHammerstein raised the priority of this task from to Needs Triage.
KHammerstein updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2015, 4:55 PM
KHammerstein set Security to None.
KHammerstein updated the task description. (Show Details)
KLans_WMF updated the task description. (Show Details)Jun 10 2015, 7:01 PM
Jhernandez renamed this task from Move header styling to stable to Move headeing (icons & page-issues) styling to stable.Jun 17 2015, 6:29 PM
Jhernandez renamed this task from Move headeing (icons & page-issues) styling to stable to Move heading (icons & page-issues) styling to stable.
Jhernandez updated the task description. (Show Details)Jun 17 2015, 6:32 PM
KLans_WMF renamed this task from Move heading (icons & page-issues) styling to stable to (5) Move heading (icons & page-issues) styling to stable.Jun 17 2015, 6:34 PM
KLans_WMF updated the task description. (Show Details)
KLans_WMF moved this task from 2016-17 Q2 to 2015-16 Q3 on the Readers-Web-Backlog board.
phuedx added a subscriber: phuedx.Jun 17 2015, 7:08 PM

The page actions elements will have to be moved to the top of the .pre-content element so that the styles can be applied without tweaking. This reordering supports moving the page actions inline and to the far right of the page in tablet and desktop. We should take the time to evaluate whether this is strictly required and it can't be achieved another way.

KLans_WMF edited a custom field.Jun 22 2015, 4:24 PM
phuedx renamed this task from (5) Move heading (icons & page-issues) styling to stable to (5) Move page actions (icons & page-issues) styling to stable.Jun 26 2015, 5:16 PM
rmoen moved this task from To Do to Doing on the Reading-Web-Sprint-50-The-X-Files board.
rmoen removed rmoen as the assignee of this task.Jun 30 2015, 4:17 PM
rmoen moved this task from Doing to To Do on the Reading-Web-Sprint-50-The-X-Files board.
phuedx claimed this task.Jul 1 2015, 1:59 PM
phuedx moved this task from To Do to Doing on the Reading-Web-Sprint-50-The-X-Files board.

Change 222178 had a related patch set uploaded (by Phuedx):
Page actions and issues from beta to stable

https://gerrit.wikimedia.org/r/222178

Change 222178 merged by jenkins-bot:
Page actions and issues from beta to stable

https://gerrit.wikimedia.org/r/222178

phuedx closed this task as Resolved.Jul 6 2015, 2:10 PM

Verified on BC.